Package org.apache.commons.lang.exception.xsd

# Class NestableException

java.lang.Object
org.apache.commons.lang.exception.xsd.NestableException

All Implemented Interfaces:
  `Serializable`, `org.apache.axis2.databinding.ADBBean`

Direct Known Subclasses:
  `ConfigurationException`

public class NestableException extends Object implements org.apache.axis2.databinding.ADBBean
NestableException bean class

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `NestableException.Factory`
  Factory class that keeps the parse method

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Object`
  `localCause`
  field for Cause
  `protected boolean`
  `localCauseTracker`
  `protected String`
  `localMessage`
  field for Message
  `protected String[]`
  `localMessages`
  field for Messages This was an Array!
  `protected boolean`
  `localMessagesTracker`
  `protected boolean`
  `localMessageTracker`
  `protected int`
  `localThrowableCount`
  field for ThrowableCount
  `protected boolean`
  `localThrowableCountTracker`
  `protected Object[]`
  `localThrowables`
  field for Throwables This was an Array!
  `protected boolean`
  `localThrowablesTracker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NestableException()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMessages(String param)`
  Auto generated add method for the array for convenience
  `void`
  `addThrowables(Object param)`
  Auto generated add method for the array for convenience
  `Object`
  `getCause()`
  Auto generated getter method
  `String`
  `getMessage()`
  Auto generated getter method
  `String[]`
  `getMessages()`
  Auto generated getter method
  `org.apache.axiom.om.OMElement`
  `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
  `XMLStreamReader`
  `getPullParser(QName qName)`
  databinding method to get an XML representation of this object
  `int`
  `getThrowableCount()`
  Auto generated getter method
  `Object[]`
  `getThrowables()`
  Auto generated getter method
  `boolean`
  `isCauseSpecified()`
  `boolean`
  `isMessageSpecified()`
  `boolean`
  `isMessagesSpecified()`
  `boolean`
  `isThrowableCountSpecified()`
  `boolean`
  `isThrowablesSpecified()`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
  `void`
  `setCause(Object param)`
  Auto generated setter method
  `void`
  `setMessage(String param)`
  Auto generated setter method
  `void`
  `setMessages(String[] param)`
  Auto generated setter method
  `void`
  `setThrowableCount(int param)`
  Auto generated setter method
  `void`
  `setThrowables(Object[] param)`
  Auto generated setter method
  `protected void`
  `validateMessages(String[] param)`
  validate the array for Messages
  `protected void`
  `validateThrowables(Object[] param)`
  validate the array for Throwables

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### localCause

    protected Object localCause
    field for Cause

  - ### localCauseTracker

    protected boolean localCauseTracker

  - ### localMessage

    protected String localMessage
    field for Message

  - ### localMessageTracker

    protected boolean localMessageTracker

  - ### localMessages

    protected String[] localMessages
    field for Messages This was an Array!

  - ### localMessagesTracker

    protected boolean localMessagesTracker

  - ### localThrowableCount

    protected int localThrowableCount
    field for ThrowableCount

  - ### localThrowableCountTracker

    protected boolean localThrowableCountTracker

  - ### localThrowables

    protected Object[] localThrowables
    field for Throwables This was an Array!

  - ### localThrowablesTracker

    protected boolean localThrowablesTracker

- ## Constructor Details

  - ### NestableException

    public NestableException()

- ## Method Details

  - ### isCauseSpecified

    public boolean isCauseSpecified()

  - ### getCause

    public Object getCause()
    Auto generated getter method
    Returns:
      java.lang.Object

  - ### setCause

    public void setCause(Object param)
    Auto generated setter method
    Parameters:
      `param` - Cause

  - ### isMessageSpecified

    public boolean isMessageSpecified()

  - ### getMessage

    public String getMessage()
    Auto generated getter method
    Returns:
      java.lang.String

  - ### setMessage

    public void setMessage(String param)
    Auto generated setter method
    Parameters:
      `param` - Message

  - ### isMessagesSpecified

    public boolean isMessagesSpecified()

  - ### getMessages

    public String[] getMessages()
    Auto generated getter method
    Returns:
      java.lang.String[]

  - ### validateMessages

    protected void validateMessages(String[] param)
    validate the array for Messages

  - ### setMessages

    public void setMessages(String[] param)
    Auto generated setter method
    Parameters:
      `param` - Messages

  - ### addMessages

    public void addMessages(String param)
    Auto generated add method for the array for convenience
    Parameters:
      `param` - java.lang.String

  - ### isThrowableCountSpecified

    public boolean isThrowableCountSpecified()

  - ### getThrowableCount

    public int getThrowableCount()
    Auto generated getter method
    Returns:
      int

  - ### setThrowableCount

    public void setThrowableCount(int param)
    Auto generated setter method
    Parameters:
      `param` - ThrowableCount

  - ### isThrowablesSpecified

    public boolean isThrowablesSpecified()

  - ### getThrowables

    public Object[] getThrowables()
    Auto generated getter method
    Returns:
      java.lang.Object[]

  - ### validateThrowables

    protected void validateThrowables(Object[] param)
    validate the array for Throwables

  - ### setThrowables

    public void setThrowables(Object[] param)
    Auto generated setter method
    Parameters:
      `param` - Throwables

  - ### addThrowables

    public void addThrowables(Object param)
    Auto generated add method for the array for convenience
    Parameters:
      `param` - java.lang.Object

  - ### getOMElement

    public org.apache.axiom.om.OMElement getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory) throws org.apache.axis2.databinding.ADBException
    Specified by:
      `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
    Parameters:
      `parentQName` -
      `factory` -
    Returns:
      org.apache.axiom.om.OMElement
    Throws:
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### getPullParser

    public XMLStreamReader getPullParser(QName qName) throws org.apache.axis2.databinding.ADBException
    databinding method to get an XML representation of this object
    Specified by:
      `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `org.apache.axis2.databinding.ADBException`